org.apache.ignite.plugin.security

## Class AuthenticationContext

- java.lang.Object
- - org.apache.ignite.plugin.security.AuthenticationContext

-     public class AuthenticationContext
      extends Object

  Authentication context.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetSocketAddress` | `address()` Gets subject network address.
    `void` | `address(InetSocketAddress addr)` Sets subject network address.
    `org.apache.ignite.internal.processors.authentication.AuthorizationContext` | `authorizationContext()`
    `AuthenticationContext` | `authorizationContext(org.apache.ignite.internal.processors.authentication.AuthorizationContext newVal)` Set authorization context acquired after native Apache Ignite authentication.
    `Certificate[]` | `certificates()`
    `AuthenticationContext` | `certificates(Certificate[] certs)` Set client SSL certificates.
    `SecurityCredentials` | `credentials()` Gets security credentials.
    `void` | `credentials(SecurityCredentials creds)` Sets security credentials.
    `boolean` | `isClient()`
    `Map<String,Object>` | `nodeAttributes()` Gets node attributes.
    `void` | `nodeAttributes(Map<String,?> nodeAttrs)` Sets node attributes.
    `AuthenticationContext` | `setClient(boolean newVal)` Sets flag indicating if this is client node context.
    `UUID` | `subjectId()` Gets subject ID.
    `void` | `subjectId(UUID subjId)` Sets subject ID.
    `SecuritySubjectType` | `subjectType()` Gets subject type.
    `void` | `subjectType(SecuritySubjectType subjType)` Sets subject type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationContext

          public AuthenticationContext()

  - ### Method Detail

    - #### subjectType

          public SecuritySubjectType subjectType()

      Gets subject type.
      Returns:
        Subject type.

    - #### subjectType

          public void subjectType(SecuritySubjectType subjType)

      Sets subject type.
      Parameters:
        `subjType` - Subject type.

    - #### subjectId

          public UUID subjectId()

      Gets subject ID.
      Returns:
        Subject ID.

    - #### subjectId

          public void subjectId(UUID subjId)

      Sets subject ID.
      Parameters:
        `subjId` - Subject ID.

    - #### credentials

          public SecurityCredentials credentials()

      Gets security credentials.
      Returns:
        Security credentials.

    - #### credentials

          public void credentials(SecurityCredentials creds)

      Sets security credentials.
      Parameters:
        `creds` - Security credentials.

    - #### address

          public InetSocketAddress address()

      Gets subject network address.
      Returns:
        Subject network address.

    - #### address

          public void address(InetSocketAddress addr)

      Sets subject network address.
      Parameters:
        `addr` - Subject network address.

    - #### nodeAttributes

          public Map<String,Object> nodeAttributes()

      Gets node attributes.
      Returns:
        Node attributes or empty map for `SecuritySubjectType.REMOTE_CLIENT`.

    - #### nodeAttributes

          public void nodeAttributes(Map<String,?> nodeAttrs)

      Sets node attributes.
      Parameters:
        `nodeAttrs` - Node attributes.

    - #### authorizationContext

          public org.apache.ignite.internal.processors.authentication.AuthorizationContext authorizationContext()

      Returns:
        Native Apache Ignite authorization context acquired after authentication or `null` if native Ignite authentication is not used.

    - #### authorizationContext

          public AuthenticationContext authorizationContext(org.apache.ignite.internal.processors.authentication.AuthorizationContext newVal)

      Set authorization context acquired after native Apache Ignite authentication.

    - #### certificates

          public Certificate[] certificates()

      Returns:
        Client SSL certificates.

    - #### certificates

          public AuthenticationContext certificates(Certificate[] certs)

      Set client SSL certificates.
      Parameters:
        `certs` - Client SSL certificates.

    - #### isClient

          public boolean isClient()

      Returns:
        `true` if this is a client node context.

    - #### setClient

          public AuthenticationContext setClient(boolean newVal)

      Sets flag indicating if this is client node context.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021